import os

class AppConfig:
    # (FLASK) Sectret key wich will be used to secure some requests an connections
    SECRET_KEY      = 'MINIBASE_SECRET_KEY'
    TEMPLATE_FOLDER = 'templates'
    STATIC_FOLDER   = 'static'
    STATIC_URL_PATH = '/'

    # (SQLALCHEMY) COnfiguration
    SQLALCHEMY_DATABASE_URI = 'sqlite:///./test.db'
    SQLALCHEMY_TRACK_MODIFICATIONS = False

    # (MAIL AGENT) Configure mail Server to send EMails.
    MAIL_SERVER     = os.environ.get('MINIBASE_MAIL_SERVER')
    MAIL_USERNAME   = os.environ.get('MINIBASE_MAIL_USERNAME')
    MAIL_PASSWORD   = os.environ.get('MINIBASE_MAIL_PASSWORD')
    MAIL_PORT       = 465
    MAIL_USE_TLS    = False
    MAIL_USE_SSL    = True

